Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class ActionPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.ActionPeer

public class ActionPeer
extends java.lang.Object

Constructor Summary
`ActionPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `AddAdd(int i)`
`static int` | `AddAnd(int i)`
`static int` | `AddAsciiToChar(int i)`
`static int` | `AddCall(int i)`
`static int` | `AddCharToAscii(int i)`
`static int` | `AddCloneSprite(int i)`
`static int` | `AddDivide(int i)`
`static int` | `AddEndDrag(int i)`
`static int` | `AddEndIf(int i)`
`static int` | `AddEndJump(int i)`
`static int` | `AddEq(int i)`
`static int` | `AddGetProperty(int i)`
`static int` | `AddGetTime(int i)`
`static int` | `AddGetURL(int i, java.lang.String s, java.lang.String s1)`
`static int` | `AddGetURL2(int i, int j)`
`static int` | `AddGetVariable(int i)`
`static int` | `AddGotoFrame(int i, int j)`
`static int` | `AddGotoFrame2(int i)`
`static int` | `AddGotoLabel(int i, java.lang.String s)`
`static int` | `AddIf(int i)`
`static int` | `AddJump(int i)`
`static int` | `AddLess(int i)`
`static int` | `AddMBAsciiToChar(int i)`
`static int` | `AddMBCharToAscii(int i)`
`static int` | `AddMBStringExtract(int i)`
`static int` | `AddMBStringLength(int i)`
`static int` | `AddMultiply(int i)`
`static int` | `AddNextFrame(int i)`
`static int` | `AddNot(int i)`
`static int` | `AddOr(int i)`
`static int` | `AddPlay(int i)`
`static int` | `AddPop(int i)`
`static int` | `AddPrevFrame(int i)`
`static int` | `AddPush(int i, java.lang.String s)`
`static int` | `AddPushProperty(int i, int j)`
`static int` | `AddRandomNumber(int i)`
`static int` | `AddRemoveSprite(int i)`
`static int` | `AddSetProperty(int i)`
`static int` | `AddSetTarget2(int i)`
`static int` | `AddSetVariable(int i)`
`static int` | `AddStartDrag(int i)`
`static int` | `AddStop(int i)`
`static int` | `AddStopSounds(int i)`
`static int` | `AddStringAdd(int i)`
`static int` | `AddStringEq(int i)`
`static int` | `AddStringExtract(int i)`
`static int` | `AddStringLength(int i)`
`static int` | `AddStringLess(int i)`
`static int` | `AddSubtract(int i)`
`static int` | `AddTellTarget(int i, java.lang.String s)`
`static int` | `AddToggleQuality(int i)`
`static int` | `AddToInteger(int i)`
`static int` | `AddTrace(int i)`
`static int` | `AddWaitForFrame(int i, int j)`
`static int` | `AddWaitForFrame2(int i)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetTransitionState(int i, int j)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionPeer

    public ActionPeer()

Method Detail

### AddAdd

    public static int AddAdd(int i)

### AddAnd

    public static int AddAnd(int i)

### AddAsciiToChar

    public static int AddAsciiToChar(int i)

### AddCall

    public static int AddCall(int i)

### AddCharToAscii

    public static int AddCharToAscii(int i)

### AddCloneSprite

    public static int AddCloneSprite(int i)

### AddDivide

    public static int AddDivide(int i)

### AddEndDrag

    public static int AddEndDrag(int i)

### AddEndIf

    public static int AddEndIf(int i)

### AddEndJump

    public static int AddEndJump(int i)

### AddEq

    public static int AddEq(int i)

### AddGetProperty

    public static int AddGetProperty(int i)

### AddGetTime

    public static int AddGetTime(int i)

### AddGetURL

    public static int AddGetURL(int i,
                                java.lang.String s,
                                java.lang.String s1)

### AddGetURL2

    public static int AddGetURL2(int i,
                                 int j)

### AddGetVariable

    public static int AddGetVariable(int i)

### AddGotoFrame

    public static int AddGotoFrame(int i,
                                   int j)

### AddGotoFrame2

    public static int AddGotoFrame2(int i)

### AddGotoLabel

    public static int AddGotoLabel(int i,
                                   java.lang.String s)

### AddIf

    public static int AddIf(int i)

### AddJump

    public static int AddJump(int i)

### AddLess

    public static int AddLess(int i)

### AddMBAsciiToChar

    public static int AddMBAsciiToChar(int i)

### AddMBCharToAscii

    public static int AddMBCharToAscii(int i)

### AddMBStringExtract

    public static int AddMBStringExtract(int i)

### AddMBStringLength

    public static int AddMBStringLength(int i)

### AddMultiply

    public static int AddMultiply(int i)

### AddNextFrame

    public static int AddNextFrame(int i)

### AddNot

    public static int AddNot(int i)

### AddOr

    public static int AddOr(int i)

### AddPlay

    public static int AddPlay(int i)

### AddPop

    public static int AddPop(int i)

### AddPrevFrame

    public static int AddPrevFrame(int i)

### AddPush

    public static int AddPush(int i,
                              java.lang.String s)

### AddPushProperty

    public static int AddPushProperty(int i,
                                      int j)

### AddRandomNumber

    public static int AddRandomNumber(int i)

### AddRemoveSprite

    public static int AddRemoveSprite(int i)

### AddSetProperty

    public static int AddSetProperty(int i)

### AddSetTarget2

    public static int AddSetTarget2(int i)

### AddSetVariable

    public static int AddSetVariable(int i)

### AddStartDrag

    public static int AddStartDrag(int i)

### AddStop

    public static int AddStop(int i)

### AddStopSounds

    public static int AddStopSounds(int i)

### AddStringAdd

    public static int AddStringAdd(int i)

### AddStringEq

    public static int AddStringEq(int i)

### AddStringExtract

    public static int AddStringExtract(int i)

### AddStringLength

    public static int AddStringLength(int i)

### AddStringLess

    public static int AddStringLess(int i)

### AddSubtract

    public static int AddSubtract(int i)

### AddTellTarget

    public static int AddTellTarget(int i,
                                    java.lang.String s)

### AddToInteger

    public static int AddToInteger(int i)

### AddToggleQuality

    public static int AddToggleQuality(int i)

### AddTrace

    public static int AddTrace(int i)

### AddWaitForFrame

    public static int AddWaitForFrame(int i,
                                      int j)

### AddWaitForFrame2

    public static int AddWaitForFrame2(int i)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetTransitionState

    public static int SetTransitionState(int i,
                                         int j)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD